Преглед изворни кода

IP表头镜像相关配置

liyi пре 2 година
родитељ
комит
d1054f5dce

Разлика између датотеке није приказан због своје велике величине
+ 1632 - 0
ip_conf_dts/dts/board.dts


+ 237 - 0
ip_conf_dts/dts/sys_config.fex

@@ -0,0 +1,237 @@
+;sunxi platform application
+;---------------------------------------------------------------------------------------------------------
+; 说明: 脚本中的字符串区分大小写,用户可以修改"="后面的数值,但是不要修改前面的字符串
+; 描述gpio的形式:Port:端口+组内序号<功能分配><内部电阻状态><驱动能力><输出电平状态>
+;---------------------------------------------------------------------------------------------------------
+
+;---------------------------------------------------------------------------------
+; version:版本1.00
+; machine:板级文件名
+;---------------------------------------------------------------------------------
+[product]
+version = "100"
+machine = "bingpi-m2"
+
+
+;----------------------------------------------------------------------------------
+;debug_mode     = 0-close printf, > 1-open printf
+;----------------------------------------------------------------------------------
+[platform]
+eraseflag   = 1
+debug_mode  = 1
+;----------------------------------------------------------------------------------
+;   system configuration
+;   ?
+;dcdc1_vol							---set dcdc1 voltage,mV,1600-3400,100mV/step
+;dcdc2_vol							---set dcdc2 voltage,mV,600-1540,20mV/step
+;dcdc3_vol							---set dcdc3 voltage,mV,600-1860,20mV/step
+;dcdc4_vol							---set dcdc4 voltage,mV,600-1540,20mV/step
+;dcdc5_vol							---set dcdc5 voltage,mV,1000-2550,50mV/step
+;aldo2_vol							---set aldo2 voltage,mV,700-3300,100mV/step
+;aldo3_vol							---set aldo3 voltage,mV,700-3300,100mV/step
+;----------------------------------------------------------------------------------
+;storage_type   = boot medium, 0-nand, 1-sd, 2-emmc, 3-nor, 4-emmc3, 5-spinand -1(defualt)auto scan
+;----------------------------------------------------------------------------------
+[target]
+storage_type    = 1
+burn_key        = 0
+;----------------------------------------------------------------------------------
+;spinor configuration
+;----------------------------------------------------------------------------------
+[spinor_para]
+
+;read_mode           =4
+;flash_size          =16
+;delay_cycle         =1
+;frequency           =100000000
+
+spi_sclk            = port:PC02<2><0><2><default>
+spi_cs              = port:PC03<2><0><2><default>
+spi0_mosi           = port:PC04<2><0><2><default>
+spi0_miso           = port:PC05<2><0><2><default>
+spi0_wp             = port:PC06<2><0><2><default>
+spi0_hold           = port:PC07<2><0><2><default>
+
+;----------------------------------------------------------------------------------
+;card_ctrl 		-卡量产相关的控制器选择0      |
+;card_high_speed        -速度模式 0为低速,1为高速|
+;card_line        	-4:4线卡,8:8线卡|
+;sdc_d1  		-sdc卡数据1线信号的GPIO配置     |
+;sdc_d0			-sdc卡数据0线信号的GPIO配置  |
+;sdc_clk  		-sdc卡时钟信号的GPIO配置   |
+;sdc_cmd       		-sdc命令信号的GPIO配置|
+;sdc_d3  		-sdc卡数据3线信号的GPIO配置    |
+;sdc_d2			-sdc卡数据2线信号的GPIO配置  |
+;----------------------------------------------------------------------------------
+[card0_boot_para]
+;card_ctrl       = 0
+;card_high_speed = 1
+;card_line       = 4
+;sdc_d1          = port:PF0<2><1><2><default>
+;sdc_d0          = port:PF1<2><1><2><default>
+;sdc_clk         = port:PF2<2><1><2><default>
+;sdc_cmd         = port:PF3<2><1><2><default>
+;sdc_d3          = port:PF4<2><1><2><default>
+;sdc_d2          = port:PF5<2><1><2><default>
+;bus-width = 4
+;cap-sd-highspeed =
+;cap-wait-while-busy =
+;no-sdio =
+;no-mmc =
+;sunxi-power-save-mode =
+
+
+;----------------------------------------------------------------------------------
+;card_ctrl  		-卡启动控制器选择2
+;card_high_speed       	-速度模式 0为低速,1为高速
+;card_line        	-4:4线卡,8:8线卡
+;sdc_ds  		-ds信号的GPIO配置
+;sdc_d1  		-sdc卡数据1线信号的GPIO配置
+;sdc_d0			-sdc卡数据0线信号的GPIO配置
+;sdc_clk  		-sdc卡时钟信号的GPIO配置
+;sdc_cmd       		-sdc命令信号的GPIO配置
+;sdc_d3  		-sdc卡数据3线信号的GPIO配置
+;sdc_d2			-sdc卡数据2线信号的GPIO配置
+;sdc_d4  		-sdc卡数据4线信号的GPIO配置
+;sdc_d5			-sdc卡数据5线信号的GPIO配置
+;sdc_d6 	 	-sdc卡数据6线信号的GPIO配置
+;sdc_d7			-sdc卡数据7线信号的GPIO配置
+;sdc_emmc_rst  		-emmc_rst信号的GPIO配置
+;sdc_ex_dly_used  	-ex_dly_used信号
+;sdc_io_1v8  		-sdc_io_1v8高速emmc模式配置
+;----------------------------------------------------------------------------------
+[card2_boot_para]
+card_ctrl       = 2
+card_high_speed = 1
+card_line       = 4
+sdc_clk         = port:PC02<3><1><3><default>
+sdc_cmd         = port:PC03<3><1><3><default>
+sdc_d0          = port:PC06<3><1><3><default>
+sdc_d1          = port:PC05<3><1><3><default>
+sdc_d2          = port:PC04<3><1><3><default>
+sdc_d3          = port:PC07<3><1><3><default>
+sdc_tm4_hs200_max_freq = 150
+sdc_tm4_hs400_max_freq = 100
+sdc_ex_dly_used = 2
+;sdc_io_1v8	= 1
+sdc_tm4_win_th = 8
+sdc_dis_host_caps = 0x180
+;sdc_erase	= 2
+;sdc_boot0_sup_1v8 = 1
+;sdc_type	= "tm4"
+
+
+
+;----------------------------------------------------------------------------------
+;jtag_enable  	|JTAG使能   |
+;jtag_ms        |测试模式选择输入(TMS) 的GPIO配置|
+;jtag_ck 	|测试时钟输入(CLK) 的GPIO配置    |
+;jtag_do	|测试数据输出(TDO) 的GPIO配置     |
+;jtag_di	|测试数据输出(TDI) 的GPIO配置     |
+;----------------------------------------------------------------------------------
+[jtag_para]
+jtag_enable     = 0
+jtag_ms         = port:PH9<3><default><default><default>
+jtag_ck         = port:PH10<3><default><default><default>
+jtag_do         = port:PH11<3><default><default><default>
+jtag_di         = port:PH12<3><default><default><default>
+
+;*****************************************************************************
+;
+;dram select configuration
+;
+;select_mode	:	dram模式选择,	0:不进行自动识别
+;					1:gpio识别模式(dram_para, dram_para1-15, 共16组有效)
+;					2:gpadc识别模式(dram_para, dram_para1-7, 共8组有效)
+;					3:1个IO+gpadc识别模式(dram_para, dram_para1-15, 共16组有效)。其中IO配置优先级按select_gpio0>select_gpio1>select_gpio2>select_gpio3
+;gpadc_channel	:	选择gpadc通道	有效值(0-3)
+;select_gpio1-4	:	选择gpio pin
+;*****************************************************************************
+
+
+[dram_select_para]
+select_mode	= 0
+gpadc_channel	= 1
+select_gpio0	= port:PB7<0><1><default><default>
+select_gpio1	= port:PB4<0><1><default><default>
+select_gpio2	= port:PH1<0><1><default><default>
+select_gpio3	= port:PH0<0><1><default><default>
+
+
+;*****************************************************************************
+;sdram configuration
+;
+;*****************************************************************************
+[dram_para]
+dram_clk            = 936
+dram_type           = 3
+dram_zq             = 0x7b7bfb
+dram_odt_en         = 0x00
+dram_para1          = 0x000010d2
+dram_para2          = 0x0000
+dram_mr0            = 0x1c70
+dram_mr1            = 0x042
+dram_mr2            = 0x18
+dram_mr3            = 0x0
+dram_tpr0           = 0x004A2195
+dram_tpr1           = 0x02423190
+dram_tpr2           = 0x0008B061
+dram_tpr3           = 0xB4787896
+dram_tpr4           = 0x0
+dram_tpr5           = 0x48484848
+dram_tpr6           = 0x00000048
+dram_tpr7           = 0x1620121e
+dram_tpr8           = 0x0
+dram_tpr9           = 0x0
+dram_tpr10          = 0x0
+dram_tpr11          = 0x00340000
+dram_tpr12          = 0x00000046
+dram_tpr13          = 0x34000100
+
+;----------------------------------------------------------------------------------
+;twi configuration
+;twi_used	0:关闭, 1:打开
+;twi_port	0:twi0,  1:twi1, 2:twi2, 3:twi3, 4:twi4, 5:twi5, 6:r_twi0, 7:r_twi1
+;twi_scl	boot0 scl的GPIO配置
+;twi_sda	boot0 sda的GPIO配置
+;----------------------------------------------------------------------------------
+[twi_para]
+twi_used = 0
+twi_port = 2
+twi_scl  = port:PC0<3><1><default><default>
+twi_sda  = port:PC1<3><1><default><default>
+
+;----------------------------------------------------------------------------------
+;uart configuration
+;uart_debug_port  |Boot串口控制器编号        |
+;uart_debug_tx       |Boot串口发送的GPIO配置|
+;uart_debug_rx  |Boot串口接收的GPIO配置     |
+;----------------------------------------------------------------------------------
+[uart_para]
+;uart_debug_port = 0
+;uart_debug_tx   = port:PE02<6><1><default><default>
+;uart_debug_rx   = port:PE03<6><1><default><default>
+
+uart_debug_port = 3
+uart_debug_tx   = port:PB06<7><1><default><default>
+uart_debug_rx   = port:PB07<7><1><default><default>
+
+;----------------------------------------------------------------------------------
+;dram_region_mbytes :设置drm大小以bytes为单位
+;----------------------------------------------------------------------------------
+[secure]
+dram_region_mbytes       = 80
+drm_region_mbytes        = 0
+drm_region_start_mbytes  = 0
+
+
+[spi1_para]
+
+;read_mode           =4
+;flash_size          =16
+;delay_cycle         =1
+;frequency           =32000000
+
+spi1_sclk            = port:PD11<2><0><2><default>
+spi1_cs              = port:PD10<2><0><2><default>
+spi1_mosi            = port:PD12<2><0><2><default>

+ 93 - 0
ip_conf_dts/dts/sys_partition.fex

@@ -0,0 +1,93 @@
+;---------------------------------------------------------------------------------------------------
+; 说明: 脚本中的字符串区分大小写,用户可以修改"="后面的数值,但是不要修改前面的字符串
+;---------------------------------------------------------------------------------------------------
+
+
+;---------------------------------------------------------------------------------------------------
+;                                   固件下载参数配置
+;---------------------------------------------------------------------------------------------------
+;***************************************************************************************************
+;    mbr的大小, 以Kbyte为单位
+;***************************************************************************************************
+[mbr]
+size = 16384
+
+;***************************************************************************************************
+;                                              分区配置
+;
+;
+;  partition 定义范例:
+;    [partition]                ;  //表示是一个分区
+;    name        = USERFS2      ; //分区名称
+;    size        = 16384        ; //分区大小 单位: 扇区.分区表示个数最多2^31 * 512 = 2T
+;    downloadfile = "123.fex"   ; //下载文件的路径和名称,可以使用相对路径,相对是指相对于image.cfg文件所在分区。也可以使用绝对路径
+;    keydata     = 1            ; //私有数据分区,重新量产数据将不丢失
+;    encrypt     = 1            ; //采用加密方式烧录,将提供数据加密,但损失烧录速度
+;    user_type   = ?            ; //私有用法
+;    verify      = 1            ; //要求量产完成后校验是否正确
+;
+; 注:1、name唯一, 不允许同名
+;     2、name最大12个字符
+;     3、size = 0, 将创建一个无大小的空分区
+;     4、align to logical block size(504 sectors), leb size = 2*(1 nand phy block size - 1 phy page size)
+;***************************************************************************************************
+[partition_start]
+
+[partition]
+    name         = boot-resource
+    size         = 1850
+    downloadfile = "boot-resource.fex"
+    user_type    = 0x8000
+
+
+[partition]
+    name         = env
+    size         = 504
+    downloadfile = "env.fex"
+    user_type    = 0x8000
+
+[partition]
+    name         = env-redund
+    size         = 504
+    downloadfile = "env.fex"
+    user_type    = 0x8000
+
+[partition]
+    name         = boot
+    size         = 7568
+    downloadfile = "boot.fex"
+    user_type    = 0x8000
+
+[partition]
+    name         = rootfs
+    size         = 100352
+    downloadfile = "rootfs.fex"
+    user_type    = 0x8000
+
+;[partition]
+;    name         = dsp0
+;    size         = 2048
+;    downloadfile = "dsp0.fex"
+;    user_type    = 0x8000
+
+;[partition]
+;    name         = recovery
+;    size         = 16128
+;    ;downloadfile = "recovery.fex"
+;    user_type    = 0x8000
+
+[partition]
+    name         = private
+    size         = 10240
+    user_type    = 0x8000
+
+[partition]
+    name         = rootfs_data
+    size         = 50400
+    user_type    = 0x8000
+
+[partition]
+    name         = UDISK
+    user_type    = 0x8100
+
+

+ 592 - 0
ip_conf_dts/dts/uboot-board.dts

@@ -0,0 +1,592 @@
+/*
+ * Allwinner Technology CO., Ltd. sun8iw20p1 soc board.
+ *
+ * soc board support.
+ */
+
+&platform {
+	eraseflag   = <1>;
+	next_work   = <3>;
+	debug_mode  = <1>;
+};
+
+&target {
+	boot_clock = <1008>;	/*CPU boot frequency, Unit: MHz*/
+	storage_type = <0xffffffff>; /*boot medium, 0-nand, 1-card0, 2-card2, -1(defualt)auto scan*/
+	burn_key = <0>;		/*1:support burn key; 0:not support burn key*/
+	dragonboard_test = <0>;	/*1:support card boot dragonboard; 0:not support card boot dragonboard*/
+};
+
+
+&charger0 {
+	pmu_safe_vol = <3500>;
+};
+
+
+&twi6 {
+	clock-frequency = <200000>;
+	pinctrl-0 = <&s_twi0_pins_a>;
+	no_suspend = <1>;
+	twi_drv_used = <1>;
+	status = "okay";
+};
+
+&rgb18_pins_a {
+	allwinner,pins = "PD0", "PD1", "PD2", "PD3", "PD4", "PD5", "PD6", "PD7", "PD8", "PD9", \
+	"PD10", "PD11", "PD12", "PD13", "PD14", "PD15", "PD16", "PD17", "PD18", "PD19", \
+	"PD20", "PD21";
+	allwinner,pname = "PD0", "PD1", "PD2", "PD3", "PD4", "PD5", "PD6", "PD7", "PD8", "PD9", \
+	"PD10", "PD11", "PD12", "PD13", "PD14", "PD15", "PD16", "PD17", "PD18", "PD19", \
+	"PD20", "PD21";
+	allwinner,function = "rgb18";
+	allwinner,muxsel = <2>;
+	allwinner,drive = <3>;
+	allwinner,pull = <0>;
+};
+
+&rgb18_pins_b {
+	allwinner,pins = "PD0", "PD1", "PD2", "PD3", "PD4", "PD5", "PD6", "PD7", "PD8", "PD9", \
+	"PD10", "PD11", "PD12", "PD13", "PD14", "PD15", "PD16", "PD17", "PD18", "PD19", \
+	"PD20", "PD21";
+	allwinner,pname = "PD0", "PD1", "PD2", "PD3", "PD4", "PD5", "PD6", "PD7", "PD8", "PD9", \
+	"PD10", "PD11", "PD12", "PD13", "PD14", "PD15", "PD16", "PD17", "PD18", "PD19", \
+	"PD20", "PD21";
+	allwinner,function = "rgb18_suspend";
+	allwinner,muxsel = <7>;
+	allwinner,drive = <1>;
+	allwinner,pull = <0>;
+};
+
+&pwm7_pin_a {
+	pins = "PD22";
+	function = "pwm7";
+	muxsel = <5>;
+	drive-strength = <10>;
+	bias-pull-up;
+};
+
+&pwm7_pin_b {
+	pins = "PD22";
+	muxsel = <0>;
+	function = "gpio_in";
+};
+
+&pwm7 {
+	pinctrl-names = "active", "sleep";
+	pinctrl-0 = <&pwm7_pin_a>;
+	pinctrl-1 = <&pwm7_pin_b>;
+	status = "disabled";
+};
+
+&sdc0_pins_a {
+	allwinner,pins = "PF0", "PF1", "PF2",
+			 "PF3", "PF4", "PF5";
+	allwinner,function = "sdc0";
+	allwinner,muxsel = <2>;
+	allwinner,drive = <3>;
+	allwinner,pull = <1>;
+	pins = "PF0", "PF1", "PF2",
+	       "PF3", "PF4", "PF5";
+	function = "sdc0";
+	drive-strength = <30>;
+	bias-pull-up;
+	power-source = <3300>;
+};
+
+&sdc0_pins_b {
+	pins = "PF0", "PF1", "PF2",
+	       "PF3", "PF4", "PF5";
+	function = "sdc0";
+	drive-strength = <30>;
+	bias-pull-up;
+	power-source = <1800>;
+};
+
+&sdc0_pins_c {
+		pins = "PF0", "PF1", "PF2",
+			"PF3", "PF4", "PF5";
+		function = "gpio_in";
+
+};
+
+
+&sdc2_pins_a {
+	allwinner,pins = "PC2", "PC3", "PC4",
+			 "PC5", "PC6", "PC7";
+	allwinner,function = "sdc2";
+	allwinner,muxsel = <3>;
+	allwinner,drive = <3>;
+	allwinner,pull = <1>;
+	pins = "PC2", "PC3", "PC4",
+		"PC5", "PC6", "PC7";
+	function = "sdc2";
+	drive-strength = <30>;
+	bias-pull-up;
+
+};
+
+&sdc2_pins_b {
+	pins = "PC2", "PC3", "PC4",
+	       "PC5", "PC6", "PC7";
+	function = "gpio_in";
+};
+
+
+
+&nand0_pins_a {
+	allwinner,pins = "PC0", "PC1", "PC2", "PC5",
+			 "PC8", "PC9", "PC10", "PC11",
+			 "PC12", "PC13", "PC14", "PC15",
+			 "PC16";
+	allwinner,pname= "nand0_we", "nand0_ale","nand0_cle", "nand0_nre",
+			 "nand0_d0", "nand0_d1", "nand0_d2", "nand0_d3",
+			 "nand0_d4", "nand0_d5", "nand0_d6", "nand0_d7",
+			 "nand0_ndqs";
+	allwinner,function = "nand0";
+	allwinner,muxsel = <2>;
+	allwinner,drive = <1>;
+	allwinner,pull = <0>;
+};
+
+&nand0_pins_b {
+	allwinner,pins = "PC4", "PC6", "PC03", "PC07";
+	allwinner,pname= "nand0_ce0", "nand0_rb0", "nand0_ce1", "nand0_rb1";
+	allwinner,function = "nand0";
+	allwinner,muxsel = <2>;
+	allwinner,drive = <1>;
+	allwinner,pull = <1>;	/* only RB&CE should be pulled up */
+};
+
+&nand0_pins_c {
+	allwinner,pins = "PC0", "PC1", "PC2", "PC3",
+			 "PC4", "PC5", "PC6", "PC7",
+			 "PC8", "PC9", "PC10", "PC11",
+			 "PC12", "PC13", "PC14", "PC15",
+			 "PC16";
+	allwinner,function = "io_disabled";
+	allwinner,muxsel = <7>;
+	allwinner,drive = <1>;
+	allwinner,pull = <0>;
+};
+
+&spi0_pins_a {
+	allwinner,pins = "PC2", "PC4", "PC5",
+			"PC7", "PC6";
+	allwinner,pname = "spi0_sclk", "spi0_mosi",
+			"spi0_miso", "spi0_hold", "spi0_wp";
+	allwinner,function = "spi0";
+	allwinner,muxsel = <2>;
+	allwinner,drive = <1>;
+	allwinner,pull = <0>;
+};
+
+&spi0_pins_b {
+	allwinner,pins = "PC3";
+	allwinner,pname = "spi0_cs0";
+	allwinner,function = "spi0";
+	allwinner,muxsel = <2>;
+	allwinner,drive = <1>;
+	allwinner,pull = <1>;   // only CS should be pulled up
+};
+
+&spi0_pins_c {
+	allwinner,pins = "PC2", "PC3", "PC4", "PC5",
+			"PC6", "PC7";
+	allwinner,function = "gpio_in";
+	allwinner,muxsel = <0>;
+	allwinner,drive = <1>;
+	allwinner,pull = <0>;
+};
+
+&dsi4lane_pins_a {
+	allwinner,pins = "PD0", "PD1", "PD2", "PD3", "PD4", "PD5", "PD6", "PD7", "PD8", "PD9";
+	allwinner,pname = "PD0", "PD1", "PD2", "PD3", "PD4", "PD5", "PD6", "PD7", "PD8", "PD9";
+	allwinner,function = "dsi4lane";
+	allwinner,muxsel = <4>;
+	allwinner,drive = <3>;
+	allwinner,pull = <0>;
+};
+
+&dsi4lane_pins_b {
+	allwinner,pins = "PD0", "PD1", "PD2", "PD3", "PD4", "PD5", "PD6", "PD7", "PD8", "PD9";
+	allwinner,pname = "PD0", "PD1", "PD2", "PD3", "PD4", "PD5", "PD6", "PD7", "PD8", "PD9";
+	allwinner,function = "dsi4lane_suspend";
+	allwinner,muxsel = <7>;
+	allwinner,drive = <1>;
+	allwinner,pull = <0>;
+};
+
+
+&card0_boot_para {  /* Avoid dtc compiling warnings. @TODO: Developer should modify this to the actual value */
+	/* reg = <0x0 0x2 0x0 0x0>;  [> Avoid dtc compiling warnings. @TODO: Developer should modify this to the actual value <] */
+	device_type = "card0_boot_para";
+	card_ctrl = <0x0>;
+	card_high_speed = <0x1>;
+	card_line = <0x4>;
+	pinctrl-0 = <&sdc0_pins_a>;
+};
+
+&card2_boot_para {  /* Avoid dtc compiling warnings. @TODO: Developer should modify this to the actual value */
+	/* reg = <0x0 0x3 0x0 0x0>;  [> Avoid dtc compiling warnings. @TODO: Developer should modify this to the actual value <] */
+	device_type = "card2_boot_para";
+	card_ctrl = <0x2>;
+	card_high_speed = <0x1>;
+	card_line = <0x4>;
+	pinctrl-0 = <&sdc2_pins_a>;
+	sdc_ex_dly_used = <0x2>;
+	sdc_io_1v8 = <0x1>;
+	sdc_tm4_win_th = <0x08>;
+	sdc_tm4_hs200_max_freq = <150>;
+	sdc_tm4_hs400_max_freq = <100>;
+	sdc_type = "tm4";
+};
+&gpio_bias {  /* Avoid dtc compiling warnings. @TODO: Developer should modify this to the actual value */
+	device_type = "gpio_bias";
+	pc_bias = <1800>;
+};
+
+&nand0 {
+	compatible = "allwinner,sun8iw20-nand";
+	device_type = "nand0";
+	//reg = <0x0 0x04011000 0x0 0x1000>;/* nand0 */
+	pinctrl-names = "default", "sleep";
+	pinctrl-0 = <&nand0_pins_a &nand0_pins_b>;
+	pinctrl-1 = <&nand0_pins_c>;
+	nand0_regulator1 = "vcc-nand";
+	nand0_regulator2 = "none";
+	nand0_cache_level = <0x55aaaa55>;
+	nand0_flush_cache_num = <0x55aaaa55>;
+	nand0_capacity_level = <0x55aaaa55>;
+	nand0_id_number_ctl = <0x55aaaa55>;
+	nand0_print_level = <0x55aaaa55>;
+	nand0_p0 = <0x55aaaa55>;
+	nand0_p1 = <0x55aaaa55>;
+	nand0_p2 = <0x55aaaa55>;
+	nand0_p3 = <0x55aaaa55>;
+	chip_code = "sun8iw20";
+	status = "disabled";
+};
+
+&spi0 {
+	clock-frequency = <100000000>;
+	pinctrl-0 = <&spi0_pins_a &spi0_pins_b>;
+	pinctrl-1 = <&spi0_pins_c>;
+	pinctrl-names = "default", "sleep";
+	/*spi-supply = <&reg_dcdc1>;*/
+	spi_slave_mode = <0>;
+	spi0_cs_number = <1>;
+	spi0_cs_bitmap = <1>;
+	status = "okay";
+
+	spi-nand@0 {
+		compatible = "spi-nand";
+		spi-max-frequency=<0x5F5E100>;
+		reg = <0x0>;
+		spi-rx-bus-width=<0x01>;
+		spi-tx-bus-width=<0x01>;
+		status="okay";
+	};
+};
+
+&disp {
+	disp_init_enable         = <1>;
+	disp_mode                = <0>;
+
+	screen0_output_type      = <1>;
+	screen0_output_mode      = <4>;
+
+	screen1_output_type      = <3>;
+	screen1_output_mode      = <4>;
+	
+	screen1_output_format    = <0>;
+	screen1_output_bits      = <0>;
+	screen1_output_eotf      = <4>;
+	screen1_output_cs        = <257>;
+	screen1_output_range     = <2>;
+	screen1_output_scan      = <0>;
+	screen1_output_aspect_ratio = <8>;
+	dev0_output_type         = <1>;
+	dev0_output_mode         = <4>;
+	dev0_screen_id           = <0>;
+	dev0_do_hpd              = <0>;
+
+	dev1_output_type         = <4>;
+	dev1_output_mode         = <10>;
+	dev1_screen_id           = <1>;
+	dev1_do_hpd              = <1>;
+
+	def_output_dev           = <0>;
+	disp_rotation_used       = <1>;
+	degree0			 = <0>;
+	fb0_format               = <0>;
+	fb0_buffer_num           = <1>;	
+	//fb0_width                = <800>;
+	//fb0_height               = <480>;
+	fb1_format               = <0>;
+	fb1_width                = <0>;
+	fb1_height               = <0>;
+	chn_cfg_mode             = <1>;
+
+	disp_para_zone           = <1>;
+
+	//dc1sw-supply = <&reg_dc1sw>;
+
+	//eldo3-supply = <&reg_eldo3>;
+
+	//dcdc1-supply = <&reg_dcdc1>;
+};
+
+// 480x272 RGB LCD
+/*
+&lcd0 {
+	lcd_used            = <1>;
+
+	lcd_driver_name     = "default_lcd";
+	lcd_backlight       = <50>;
+	lcd_if              = <0>;
+
+	lcd_x               = <480>;
+	lcd_y               = <272>;
+	lcd_width           = <95>;
+	lcd_height          = <54>;
+	lcd_dclk_freq       = <9>;
+
+	lcd_pwm_used        = <0>;
+	lcd_pwm_ch          = <7>;
+	lcd_pwm_freq        = <50000>;
+	lcd_pwm_pol         = <1>;
+
+	lcd_hbp             = <43>;
+	lcd_ht              = <525>;
+	lcd_hspw            = <41>;
+	lcd_vbp             = <12>;
+	lcd_vt              = <286>;
+	lcd_vspw            = <10>;
+
+	lcd_lvds_if         = <0>;
+	lcd_lvds_colordepth = <1>;
+	lcd_lvds_mode       = <0>;
+	lcd_frm             = <0>;
+	lcd_io_phase        = <0x0000>;
+	lcd_gamma_en        = <0>;
+	lcd_bright_curve_en = <0>;
+	lcd_cmap_en         = <0>;
+
+	deu_mode            = <0>;
+	lcdgamma4iep        = <22>;
+	smart_color         = <90>;
+
+	pinctrl-0 = <&rgb18_pins_a>;
+	pinctrl-1 = <&rgb18_pins_b>;
+};
+*/
+// 800x480 RGB LCD
+/*
+&lcd0 {
+	lcd_used            = <1>;
+
+	lcd_driver_name     = "default_lcd";
+	lcd_backlight       = <50>;
+	lcd_if              = <0>;
+
+	lcd_x               = <800>;
+	lcd_y               = <480>;
+	lcd_width           = <95>;
+	lcd_height          = <54>;
+	lcd_dclk_freq       = <33>;
+
+	lcd_pwm_used        = <0>;
+	lcd_pwm_ch          = <7>;
+	lcd_pwm_freq        = <50000>;
+	lcd_pwm_pol         = <1>;
+
+	lcd_hbp             = <41>;
+	lcd_ht              = <928>;
+	lcd_hspw            = <2>;
+	lcd_vbp             = <14>;
+	lcd_vt              = <525>;
+	lcd_vspw            = <2>;
+
+	lcd_lvds_if         = <0>;
+	lcd_lvds_colordepth = <1>;
+	lcd_lvds_mode       = <0>;
+	lcd_frm             = <1>;
+	lcd_io_phase        = <0x0000>;
+	lcd_gamma_en        = <0>;
+	lcd_bright_curve_en = <0>;
+	lcd_cmap_en         = <0>;
+
+	deu_mode            = <0>;
+	lcdgamma4iep        = <22>;
+	smart_color         = <90>;
+
+	pinctrl-0 = <&rgb18_pins_a>;
+	pinctrl-1 = <&rgb18_pins_b>;
+};
+*/
+// 1024x600 RGB LCD
+/*
+&lcd0 {
+	lcd_used            = <1>;
+
+	lcd_driver_name     = "default_lcd";
+	lcd_backlight       = <50>;
+	lcd_if              = <0>;
+
+	lcd_x               = <1024>;
+	lcd_y               = <600>;
+	lcd_width           = <95>;
+	lcd_height          = <54>;
+	lcd_dclk_freq       = <51>;
+
+	lcd_pwm_used        = <0>;
+	lcd_pwm_ch          = <7>;
+	lcd_pwm_freq        = <50000>;
+	lcd_pwm_pol         = <1>;
+
+	lcd_hbp             = <160>;
+	lcd_ht              = <1344>;
+	lcd_hspw            = <20>;
+	lcd_vbp             = <23>;
+	lcd_vt              = <635>;
+	lcd_vspw            = <3>;
+
+	lcd_lvds_if         = <0>;
+	lcd_lvds_colordepth = <1>;
+	lcd_lvds_mode       = <0>;
+	lcd_frm             = <1>;
+	lcd_io_phase        = <0x0000>;
+	lcd_gamma_en        = <0>;
+	lcd_bright_curve_en = <0>;
+	lcd_cmap_en         = <0>;
+
+	deu_mode            = <0>;
+	lcdgamma4iep        = <22>;
+	smart_color         = <90>;
+
+	pinctrl-0 = <&rgb18_pins_a>;
+	pinctrl-1 = <&rgb18_pins_b>;
+};
+*/
+
+// 1280x800 MIPI LCD
+/*
+&lcd0 {
+	lcd_used            = <1>;
+
+	lcd_driver_name     = "he0801a068";
+	lcd_backlight       = <50>;
+	lcd_if              = <4>;
+
+	lcd_x               = <800>;
+	lcd_y               = <1280>;
+	lcd_width           = <52>;
+	lcd_height          = <52>;
+	lcd_dclk_freq       = <68>;
+
+	lcd_pwm_used        = <1>;
+	lcd_pwm_ch          = <7>;
+	lcd_pwm_freq        = <50000>;
+	lcd_pwm_pol         = <1>;
+	lcd_pwm_max_limit   = <255>;
+
+	lcd_hbp             = <40>;
+	lcd_ht              = <860>;
+	lcd_hspw            = <20>;
+	lcd_vbp             = <12>;
+	lcd_vt              = <1322>;
+	lcd_vspw            = <4>;
+
+	lcd_dsi_lane        = <4>;
+	lcd_dsi_if          = <0>;
+	lcd_dsi_format      = <0>;
+	lcd_dsi_te          = <0>;
+	lcd_frm             = <0>;
+	lcd_gamma_en        = <0>;
+	lcd_cmap_en         = <0>;
+
+	pinctrl-0 = <&dsi4lane_pins_a>;
+	pinctrl-1 = <&dsi4lane_pins_b>;
+	//lcd_gpio_0 = <&pio PD 20 1 0 3 1>;
+};
+*/
+
+
+&lcd0 {
+lcd_used            = <1>;
+
+lcd_driver_name     = "st7789v";
+lcd_x               = <240>;
+lcd_y               = <240>;
+lcd_width           = <108>;
+lcd_height          = <64>;
+lcd_dclk_freq       = <19>;
+
+lcd_pwm_used        = <0>;
+lcd_pwm_ch          = <8>;
+lcd_pwm_freq        = <50000>;
+lcd_pwm_pol         = <0>;
+lcd_pwm_max_limit   = <255>;
+
+lcd_hbp             = <120>;
+lcd_ht              = <850>;
+lcd_hspw            = <10>;
+lcd_vbp             = <13>;
+lcd_vt              = <373>;
+lcd_vspw            = <2>;
+
+lcd_frm             = <1>;
+lcd_if              = <0>;
+lcd_hv_if			= <8>;
+lcd_hv_clk_phase    = <0>;
+lcd_hv_sync_polarity   = <0>;
+lcd_hv_srgb_seq		= <0>;
+
+lcd_io_phase        = <0x0000>;
+lcd_gamma_en        = <0>;
+lcd_bright_curve_en = <1>;
+lcd_cmap_en         = <0>;
+
+
+lcd_rb_swap	= <0>;
+
+deu_mode            = <0>;
+lcdgamma4iep        = <22>;
+smart_color         = <90>;
+
+
+lcd_bl_en           = <&pio PE 8 1 0 3 1>;
+
+//reset
+lcd_gpio_0          = <&pio PD 13 1 0 3 1>;
+//cs
+lcd_gpio_1          = <&pio PD 10 1 0 3 1>;
+//sda
+lcd_gpio_2          = <&pio PD 12 1 0 3 1>;
+//sck
+lcd_gpio_3          = <&pio PD 11 1 0 3 1>;
+
+};
+
+
+&aliases {
+	nand0 = &nand0;
+	twi6 = &twi6;
+	pwm = &pwm;
+	pwm0 = &pwm0;
+	pwm1 = &pwm1;
+	pwm2 = &pwm2;
+	pwm3 = &pwm3;
+	pwm4 = &pwm4;
+	pwm5 = &pwm5;
+	pwm6 = &pwm6;
+	pwm7 = &pwm7;
+	disp = &disp;
+//	lcd0 = &lcd0;
+//	lcd1 = &lcd1;
+//	eink = &eink;
+//	spi0 = &spi0;
+	spi0 = &spi0;
+	spi1 = &spi1;
+//	spi_gpio =&spi_gpio;
+};

+ 213 - 0
ip_conf_dts/etc/init.d/rc.modules

@@ -0,0 +1,213 @@
+#!/bin/sh
+echo "------run rc.modules file-----"
+
+#export boot_partition=$(fw_printenv -n boot_partition 2>/dev/null)
+# if [ x${boot_partition} == xboot ];then 
+#	/sbin/insmod /lib/modules/5.4.61/usb-storage.ko
+#	/sbin/insmod /lib/modules/5.4.61/sunxi_gpadc.ko
+	/sbin/insmod /lib/modules/5.4.61/gt9xxnew_ts.ko
+	echo 0x07090160 0x083F10F7 > /sys/class/sunxi_dump/write
+#	/sbin/insmod /lib/modules/5.4.61/8723ds.ko
+#	/sbin/insmod /lib/modules/5.4.61/8189fs.ko
+#	/sbin/insmod /lib/modules/5.4.61/r8188eu.ko
+#	/sbin/insmod /lib/modules/5.4.61/8821cu.ko
+#	sleep 1
+#	wpa_supplicant -D wext -c /etc/wpa_supplicant.conf -i wlan0 &
+#	udhcpc -i wlan0
+#	wpa_supplicant  -Dnl80211 -iwlan0 -c /etc/wifi/wpa_supplicant.conf -B
+
+amixer -D hw:audiocodec cset name='Headphone Switch' 1 && \
+amixer -D hw:audiocodec cset name='Headphone volume' 25
+
+
+#ifconfig eth0 192.168.1.132 up
+
+
+
+
+# 读取interfaces文件  
+INTERFACES_FILE="/etc/network/interfaces"  
+  
+# 检查文件是否存在  
+if [ ! -f "$INTERFACES_FILE" ]; then  
+    echo "Error: $INTERFACES_FILE not found."  
+    `ifconfig  eth0 192.168.1.132 up`
+else
+
+    ifconfig eth0 up
+
+    sleep 2
+
+    /sbin/udhcpc -n
+    if [ $? -eq 1 ]; then
+      sleep 1
+      interface="eth0"  
+      ip_address=""  
+      netmask=""
+      gateway=""
+      while IFS= read -r line; do  
+        # 检查行是否以 iface 开始,并包含指定的接口名  
+        if [[ "$line" == "iface $interface inet static" ]]; then  
+            # 读取下一行,它应该是 address  
+            while read -r next_line; do  
+              # 检查下一行是否以 address 开始  
+              if echo "$next_line" | grep -q "address" ; then  
+                  # 提取IP地址(从"address "之后开始)  
+                  ip_address=`echo ${next_line} | awk -F ' ' '{print $2}'`
+                  #echo $ip_address
+                  #break  # 找到IP后退出循环  
+              elif echo "$next_line" | grep -q "netmask" ;then
+                netmask=`echo ${next_line} | awk -F ' ' '{print $2}'`
+              elif echo "$next_line" | grep -q "gateway" ;then
+                gateway=`echo ${next_line} | awk -F ' ' '{print $2}'`
+              else
+                break
+                #echo "asdas"
+              fi 
+            
+            done
+            
+        fi  
+      done < $INTERFACES_FILE 
+
+
+      echo "$interface" "$ip_address"  "$gateway" "$netmask"
+      if [[ "$ip_address" == ""  ]]; then
+        `ifconfig  eth0 192.168.1.132 up`
+      else
+        `ifconfig "$interface" "$ip_address" netmask "$netmask" up`
+        `route del default`
+        `route add default gw "$gateway"`
+      fi
+    else
+      echo "hello udhcp!!!"
+    fi
+
+fi  
+  
+
+
+
+./opt/led_flash &
+
+ssh-keygen -A
+
+/etc/init.d/sshd start
+
+export QT_BOOT=/usr/lib/arm-qt
+export QTDIR=/usr/lib/arm-qt
+export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/arm-qt/lib
+export LD_LIBRARY_PATH=$QTDIR/lib:$QTDIR/plugins/platforms:$LD_LIBRARY_PATH
+export QT_PLUGIN_PATH=$QTDIR/plugins
+export QT_QPA_GENERIC_PLUGINS=tslib:$TSLIB_TSDEVICE
+export QT_QPA_FONTDIR=$QTDIR/lib/fonts
+export QT_QPA_PLATFORM_PLUGIN_PATH=$QTDIR/plugins
+export QT_QPA_PLATFORM=linuxfb:fb=/dev/fb1
+
+
+RUNDIR=/mnt/UDISK
+APPDIR=$RUNDIR/app
+WEBDIR=$RUNDIR/web
+SNMPDIR=$APPDIR/snmp
+
+# source /etc/qtenv.sh
+export MIBDIRS=$SNMPDIR/mibs
+export LD_LIBRARY_PATH=$APPDIR/lib:${LD_LIBRARY_PATH}
+
+
+start_snmpd()
+{
+    $SNMPDIR/bin/snmpd -Cc $SNMPDIR/conf/snmpd.conf -Lo &
+    chmod 777 /var/agentx/master
+}
+start_pdu()
+{
+    #run smartPDU
+    $APPDIR/smartPDU &
+}
+led_on()
+{
+    #light led
+    echo 160  > /sys/class/gpio/export
+    echo in > /sys/class/gpio/gpio160/direction
+    echo 161 > /sys/class/gpio/export
+    echo in  > /sys/class/gpio/gpio161/direction
+    echo 162 > /sys/class/gpio/export
+    echo in  > /sys/class/gpio/gpio162/direction
+    echo 131 > /sys/class/gpio/export
+    echo in > /sys/class/gpio/gpio131/direction
+    echo 136 > /sys/class/gpio/export
+    echo out  > /sys/class/gpio/gpio136/direction
+    echo 1 > /sys/class/gpio/gpio136/value
+}
+start_lcd()
+{
+    # light lcd
+    led_on
+    # fbinit
+    $APPDIR/Qt_Test -platform linuxfb:fb=/dev/fb1 &
+}
+
+
+
+app_start()
+{
+  case "$1" in
+    smartPDU)
+      start_pdu
+      ;;
+    snmpd)
+      start_snmpd
+      ;;
+    Qt_Test)
+      start_lcd
+      ;;
+    all)
+      start_snmpd
+      start_pdu
+      start_lcd
+      ;;
+    *)
+      exit 1
+  esac
+}
+app_stop()
+{
+  case "$1" in
+    smartPDU)
+      killall $1
+      ;;
+    snmpd)
+      killall $1
+      ;;
+    Qt_Test)
+      killall $1
+      ;;
+    all)
+      killall snmpd smartPDU Qt_Test
+      ;;
+    *)
+      exit 1
+  esac
+}
+
+
+#app_start all
+
+start_snmpd
+sleep 4 
+
+start_pdu
+
+sleep 5
+start_lcd
+
+
+
+sh /mnt/UDISK/app/smartMonitor.sh &
+
+# sleep 20
+
+# led_on
+
+# fi

+ 10 - 0
ip_conf_dts/etc/network/interfaces

@@ -0,0 +1,10 @@
+# interface file auto-generated by buildroot
+auto lo
+iface lo inet loopback
+
+auto eth0
+iface eth0 inet static
+  address 192.168.1.132
+  netmask 255.255.255.0
+  gateway 192.168.1.0
+  

+ 61 - 0
ip_conf_dts/etc/profile

@@ -0,0 +1,61 @@
+#!/bin/sh
+#echo "------run profile file-----"
+[ -f /etc/banner ] && cat /etc/banner
+[ -e /tmp/.failsafe ] && cat /etc/banner.failsafe
+fgrep -sq '/ overlay ro,' /proc/mounts && {
+	echo 'Your JFFS2-partition seems full and overlayfs is mounted read-only.'
+	echo 'Please try to remove files from /overlay/upper/... and reboot!'
+}
+
+export PATH="%PATH%"
+export HOME=$(grep -e "^${USER:-root}:" /etc/passwd | cut -d ":" -f 6)
+export HOME=${HOME:-/root}
+export PS1='\u@\h:\w\$ '
+export LD_LIBRARY_PATH=/usr/lib/eyesee-mpp:${LD_LIBRARY_PATH}
+
+export TSLIB_CALIBFILE=/etc/pointercal
+export TSLIB_CONFFILE=/etc/ts.conf
+export TSLIB_PLUGINDIR=/usr/lib/ts
+export TSLIB_CONSOLEDEVICE=none
+export TSLIB_FBDEVICE=/dev/fb0
+export TSLIB_TSDEVICE=/dev/input/event2
+
+export QT_BOOT=/usr/lib/arm-qt
+export QTDIR=/usr/lib/arm-qt
+export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/arm-qt/lib
+export LD_LIBRARY_PATH=$QTDIR/lib:$QTDIR/plugins/platforms:$LD_LIBRARY_PATH
+export QT_PLUGIN_PATH=$QTDIR/plugins
+export QT_QPA_GENERIC_PLUGINS=tslib:$TSLIB_TSDEVICE
+export QT_QPA_FONTDIR=$QTDIR/lib/fonts
+export QT_QPA_PLATFORM_PLUGIN_PATH=$QTDIR/plugins
+export QT_QPA_PLATFORM=linuxfb:fb=/dev/fb1
+
+export LD_LIBRARY_PATH=/mnt/UDISK/app/lib:${LD_LIBRARY_PATH}
+
+RUNDIR=/mnt/UDISK
+APPDIR=$RUNDIR/app
+WEBDIR=$RUNDIR/web
+SNMPDIR=$APPDIR/snmp
+
+# source /etc/qtenv.sh
+export MIBDIRS=$SNMPDIR/mibs
+
+ulimit -c unlimited
+grep debugfs /proc/filesystems && mount -t debugfs none /sys/kernel/debug
+alias usbhost="cat /sys/devices/platform/soc@3000000/soc@3000000:usbc0@0/usb_host"
+alias usbdevice="cat /sys/devices/platform/soc@3000000/soc@3000000:usbc0@0/usb_device"
+[ -x /bin/more ] || alias more=less
+[ -x /usr/bin/vim ] && alias vi=vim || alias vim=vi
+
+[ -z "$KSH_VERSION" -o \! -s /etc/mkshrc ] || . /etc/mkshrc
+
+[ -x /usr/bin/arp ] || arp() { cat /proc/net/arp; }
+[ -x /usr/bin/ldd ] || ldd() { LD_TRACE_LOADED_OBJECTS=1 $*; }
+
+[ -n "$FAILSAFE" ] || {
+	for FILE in /etc/profile.d/*.sh; do
+		[ -e "$FILE" ] && . "$FILE"
+	done
+	unset FILE
+}
+[ -x /bin/ll ] || alias ll='ls -al'

+ 104 - 0
ip_conf_dts/etc/udhcpd.conf

@@ -0,0 +1,104 @@
+# Sample udhcpd configuration file (/etc/udhcpd.conf)
+# Values shown are defaults
+
+# The start and end of the IP lease block
+start		192.168.10.100
+end		192.168.10.254
+
+# The interface that udhcpd will use
+interface	wlan0
+
+# The maximum number of leases (includes addresses reserved
+# by OFFER's, DECLINE's, and ARP conflicts). Will be corrected
+# if it's bigger than IP lease block, but it ok to make it
+# smaller than lease block.
+#max_leases	254
+
+# The time period at which udhcpd will write out a dhcpd.leases
+# file. If this is 0, udhcpd will never automatically write a
+# lease file. Specified in seconds.
+#auto_time	7200
+
+# The amount of time that an IP will be reserved (leased to nobody)
+# if a DHCP decline message is received (seconds)
+#decline_time	3600
+
+# The amount of time that an IP will be reserved
+# if an ARP conflict occurs (seconds)
+#conflict_time	3600
+
+# How long an offered address is reserved (seconds)
+#offer_time	60
+
+# If client asks for lease below this value, it will be rounded up
+# to this value (seconds)
+#min_lease	60
+
+# The location of the leases file
+#lease_file	/var/lib/misc/udhcpd.leases
+
+# The location of the pid file
+#pidfile	/var/run/udhcpd.pid
+
+# Every time udhcpd writes a leases file, the below script will be called
+#notify_file			# default: no script
+#notify_file	dumpleases	# useful for debugging
+
+# The following are bootp specific options
+# next server to use in bootstrap
+#siaddr		192.168.0.22	# default: 0.0.0.0 (none)
+# tftp server name
+#sname		zorak		# default: none
+# tftp file to download (e.g. kernel image)
+#boot_file	/var/nfs_root	# default: none
+
+# Static leases map
+#static_lease 00:60:08:11:CE:4E 192.168.0.54
+#static_lease 00:60:08:11:CE:3E 192.168.0.44
+
+# The remainder of options are DHCP options and can be specified with the
+# keyword 'opt' or 'option'. If an option can take multiple items, such
+# as the dns option, they can be listed on the same line, or multiple
+# lines.
+# Examples:
+opt	dns	192.168.10.2 192.168.10.10
+option	subnet	255.255.255.0
+opt	router	192.168.10.2
+opt	wins	192.168.10.10
+option	dns	129.219.13.81	# appended to above DNS servers for a total of 3
+option	domain	local
+option	lease	864000		# default: 10 days
+# Arbitrary option in hex form:
+option	0x08	01020304	# option 8: "cookie server IP addr: 1.2.3.4"
+
+# Currently supported options (for more info, see options.c):
+#opt lease      NUM
+#opt subnet     IP
+#opt broadcast  IP
+#opt router     IP_LIST
+#opt ipttl      NUM
+#opt mtu        NUM
+#opt hostname   STRING		# client's hostname
+#opt domain     STRING		# client's domain suffix
+#opt search     STRING_LIST	# search domains
+#opt nisdomain  STRING
+#opt timezone   NUM		# (localtime - UTC_time) in seconds. signed
+#opt tftp       STRING		# tftp server name
+#opt bootfile   STRING		# tftp file to download (e.g. kernel image)
+#opt bootsize   NUM		# size of that file
+#opt rootpath   STRING		# (NFS) path to mount as root fs
+#opt wpad       STRING
+#opt serverid   IP		# default: server's IP
+#opt message    STRING		# error message (udhcpd sends it on success too)
+# Options specifying server(s)
+#opt dns        IP_LIST
+#opt wins       IP_LIST
+#opt nissrv     IP_LIST
+#opt ntpsrv     IP_LIST
+#opt lprsrv     IP_LIST
+#opt swapsrv    IP
+# Obsolete options, no longer supported
+#opt logsrv     IP_LIST	# 704/UDP log server (not syslog!)
+#opt namesrv    IP_LIST	# IEN 116 name server, obsolete (August 1979!!!)
+#opt cookiesrv  IP_LIST	# RFC 865 "quote of the day" server, rarely (never?) used
+#opt timesrv    IP_LIST	# RFC 868 time server, rarely (never?) used